package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.TradeRecord;
import cn.wisenergy.model.dto.TradeRecordQuery;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author 86187
 */
public interface TradeRecordService {
    /**
     * 月度奖金统计- 数据写入月度奖金实体类
     *
     * @return true or false
     */
    Boolean monthAwardCount();

    /**
     * 交易流水列表查询
     *
     * @param tradeRecordQuery 查询参数
     * @return 列表集合
     */
    R<PageInfo<TradeRecord>> queryList(TradeRecordQuery tradeRecordQuery);
}
